%define major 1
%define libname %mklibname signon-glib %major
%define girname %mklibname signon-glib-gir 1.0
%define develname %mklibname -d signon-glib

Name: libsignon-glib
Version: 1.7
Release: %mkrel 14
Group: System/Libraries
Summary: Authorization and authentication management for glib
License: LGPLv2
URL: http://code.google.com/p/accounts-sso/
Source0: http://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(check) >= 0.9.4
BuildRequires: pkgconfig(gio-2.0) >= 2.30
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(pygobject-3.0) >= 2.90
BuildRequires: pkgconfig(signond) >= 8.40
BuildRequires: python-gi >= 2.90
BuildRequires: gobject-introspection-devel
BuildRequires: xsltproc

%description
libsignon-glib provides authorization and authentication management for GLib
applications.

%package -n %{libname}
Group: System/Libraries
Summary: Accounts and SSO (Single Sign-On) framework

%description -n %{libname}
libsignon-glib provides authorization and authentication management for GLib
applications.

%package -n %{girname}
Group: System/Libraries
Summary: GObject Introspection interface description for %{name}
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: pkgconfig(dbus-glib-1)

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n python-%{name}
Summary: Python binding for %{name}
Group: Development/Python
Requires: python-gi

%description -n python-%{name}
Python binding for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
make

%install
%makeinstall_std

rm -fr %{buildroot}%{_libdir}/*.la %{buildroot}%{_prefix}/doc

%files -n %{libname}
%doc COPYING AUTHORS
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Signon-1.0.typelib

%files -n %{develname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/gir-1.0/Signon-1.0.gir
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/vala/vapi/*

%files -n python-%{name}
%py_platsitedir/gi/overrides/Signon.*


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.7-14.mga6
+ Revision: 961216
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 1.7-13.mga6
+ Revision: 847719
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.7-12.mga5
+ Revision: 744326
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7-11.mga5
+ Revision: 726884
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 1.7-10.mga5
+ Revision: 724929
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.7-9.mga5
+ Revision: 681784
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.7-8.mga5
+ Revision: 628310
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 1.7-7.mga4
+ Revision: 548952
- add requires on python-gi

* Wed Oct 23 2013 wally <wally> 1.7-6.mga4
+ Revision: 546683
- drop unneeded gir require from devel pkg

* Fri Oct 18 2013 umeabot <umeabot> 1.7-5.mga4
+ Revision: 507408
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7-4.mga3
+ Revision: 358161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 1.7-3.mga3
+ Revision: 329692
- add gir pkg
- br gir

* Tue Dec 11 2012 fwang <fwang> 1.7-2.mga3
+ Revision: 329530
- add req

* Tue Dec 11 2012 fwang <fwang> 1.7-1.mga3
+ Revision: 329525
- update file list
- update libmajor
- imported package libsignon-glib

